Subject: bug#15216: 24.3.50; Can't modify initial frame appearance on gtk3 Emacs

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 30 Aug 2013 22:14:04 +0900

Stefan Monnier <[email-masked]> wrote:
>> I tried gtk3 Emacs for the first time and found this behavior.
>> Say, I have only this line in the .emacs file, it doesn't achieve
>> its purpose:

>> (setq default-frame-alist '((width . 40) (height . 20)))

>> The Emacs frame once goes small but expands again.

> That's the "canonical" way, so it should work.  IOW we have a bug.

Sorry, this might be a problem that occurs only on Cygwin.
I just tested it on Fedora 18 right now, it works as expected.

In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.6.4)
 of 2013-08-30 on localhost.localdomain
Bzr revision: 114076 [email-masked]
Windowing system distributor `Fedora Project', version 11.0.11303000